Endpoints to validate documents, data formats, and signatures.
Validate a digitally signed content
Validate signatures in digitally signed content, such as a PDF or XML file. A validation ID {id} is returned that can be used to call additional endpoints. The content to be validated is provided in the request body and is not retained within our service. The maximum request or file size is 50MB. Request parameters can be used to set optional parameters to control the validation
query Parameters
qualityOptional flag specifying the minimum signature quality required (SES, AES, QES).
longTermValidationOptional flag indicating whether the signature must be long-term valid.
legislationOptional jurisdiction (legal framework) the signature must satisfy:
CH = Swiss law (ZertES), EU = EU law (eIDAS Regulation), CH_EU = both
ZertES and eIDAS, WORLD = no specific jurisdiction (international). When set,
the validation reports whether the signature meets the selected framework.
infosOptional flag to request additional information, such as validation, format, or signer details.
rejectVisualDifferencesOptional flag to specify if visual differences should be rejected. If 'true', validation will fail due to visual differences; if 'false' or not provided, visual differences will not cause validation to fail.
rejectUndefinedChangesOptional flag to specify if undefined changes should be rejected. If 'true', validation will fail due to undefined changes; if 'false' or not provided, undefined changes will not cause validation to fail.
Validate a digitally signed content › Request Body
contentFile content to validate (PDF or XML)
Validate a digitally signed content › Responses
Success
idvalidsignaturesNumber of signatures found
validSignaturesNumber of valid signatures found
qualityHighest signature quality found
legislationIdentified legislation (CH, EU, CH-EU, WORLD)
longTermValidationAll signatures are provided with long-term validation information
visualDifferencesIndicates if visual differences were detected
undefinedChangesIndicates if undefined changes were detected
(Optional) Additional information details
Validate a digital signature
Validate digital signatures such as CMS and CAdES without providing the associated signed content. A validation ID {id} is returned that can be used to call additional endpoints. The signature to be validated is provided in the request body. Query parameters can be used to set optional parameters to control the validation.
query Parameters
qualityOptional flag specifying the minimum signature quality required (SES, AES, QES).
longTermValidationOptional flag indicating whether the signature must be long-term valid.
legislationOptional jurisdiction (legal framework) the signature must satisfy:
CH = Swiss law (ZertES), EU = EU law (eIDAS Regulation), CH_EU = both
ZertES and eIDAS, WORLD = no specific jurisdiction (international). When set,
the validation reports whether the signature meets the selected framework.
infosOptional flag to request additional information, such as validation, format, or signer details.
Validate a digital signature › Request Body
contentFile content to validate (PDF or XML)
Validate a digital signature › Responses
Success
idvalidsignaturesNumber of signatures found
validSignaturesNumber of valid signatures found
qualityHighest signature quality found
legislationIdentified legislation (CH, EU, CH-EU, WORLD)
longTermValidationAll signatures are provided with long-term validation information
(Optional) Additional information details
Validate a digital certificate [ROADMAP]
Validate a digital certificate outside of its use within signatures. A validation ID {id} is returned that can be used to call additional endpoints. The content to be validated is provided in the request body.
Validate a digital certificate [ROADMAP] › Request Body
contentFile content to validate (PDF or XML)
Validate a digital certificate [ROADMAP] › Responses
Success
idvalidDeletes the validation
Deletes the corresponding resource identified by {id}, universal for all validation resources. Any resource that is not manually deleted will be automatically deleted after 10 minutes.
path Parameters
idThe 'id' provided by the validate operation
Deletes the validation › Responses
Success
